package org.richfaces.testng;


import static org.testng.Assert.assertEquals;

import org.ajax4jsf.template.Template;
import org.richfaces.SeleniumTestBase;
import org.testng.annotations.Test;

public class LoadStyleTest extends SeleniumTestBase {

    @Test
    public void testLoadStyleComponent(Template template) {
        renderPage(template);
        String divId = getParentId() + "rectangle";
        assertEquals(50, getWidthById(divId));
        assertEquals(100, getHeightById(divId));
    }

    public String getTestUrl() {
        return "pages/loadStyle/loadStyleTest.xhtml";
    }

}
